<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
?>
<?php
	if (!defined("IGNX")) { die("Attempt..."); }

	$tpl_meses_reloj = trim(LEN_111);
	$tpl_mrt = array();
	if ($tpl_meses_reloj)
	{
		$tpl_meses_reloj = explode (",",LEN_111);
		
		if (count($tpl_meses_reloj) == 12)
		{
			for ($m=0; $m<count($tpl_meses_reloj); $m++)
			{
				// todos los meses -> ""
				$tpl_mrt[$m] = trim($tpl_meses_reloj[$m]);
								
			}
			
		} else {
		
			$tpl_mrt[0]="Enero";
			$tpl_mrt[1]="Febrero";
			$tpl_mrt[2]="Marzo";
			$tpl_mrt[3]="Abril";
			$tpl_mrt[4]="Mayo";
			$tpl_mrt[5]="Junio";
			$tpl_mrt[6]="Julio";
			$tpl_mrt[7]="Agosto";
			$tpl_mrt[8]="Septiembre";
			$tpl_mrt[9]="Octubre";
			$tpl_mrt[10]="Noviembre";
			$tpl_mrt[11]="Diciembre";
			
		}
	
	} else {
	
		$tpl_mrt[0]="Enero";
		$tpl_mrt[1]="Febrero";
		$tpl_mrt[2]="Marzo";
		$tpl_mrt[3]="Abril";
		$tpl_mrt[4]="Mayo";
		$tpl_mrt[5]="Junio";
		$tpl_mrt[6]="Julio";
		$tpl_mrt[7]="Agosto";
		$tpl_mrt[8]="Septiembre";
		$tpl_mrt[9]="Octubre";
		$tpl_mrt[10]="Noviembre";
		$tpl_mrt[11]="Diciembre";
	
	}


$salida_menu_reloj = '
<script language="javascript" type="text/javascript">

var months=new Array();
months[1]="'.$tpl_mrt[0].'";
months[2]="'.$tpl_mrt[1].'";
months[3]="'.$tpl_mrt[2].'";
months[4]="'.$tpl_mrt[3].'";
months[5]="'.$tpl_mrt[4].'";
months[6]="'.$tpl_mrt[5].'";
months[7]="'.$tpl_mrt[6].'";
months[8]="'.$tpl_mrt[7].'";
months[9]="'.$tpl_mrt[8].'";
months[10]="'.$tpl_mrt[9].'";
months[11]="'.$tpl_mrt[10].'";
months[12]="'.$tpl_mrt[11].'";

var time=new Date();
var Mes=months[time.getMonth() + 1];
var date=time.getDate();
var year=time.getYear();
var Hours = time.getHours();
var Mins = time.getMinutes();
	
	if (Hours > 24) { Hours -= 24; }
	if (Hours == 0) { Hours = 24; }
	if (Mins < 10) { Mins = "0" + Mins; }
	if (year < 2000) { year = year + 1900; }
	
	document.write(\'<span class="reloj">\');
	document.write(\'<span class="reloj_hora">\' + Hours + \':\' + Mins + \' </span>\');
';

		if (CONFIG_10 == 0)
		{

$salida_menu_reloj .= '	document.write(\' . <span class="reloj_fecha">\' + date + \' / \' + Mes + \' / \' + year + \'</span>\');';
		
		} else if (CONFIG_10 == 1) {
			
$salida_menu_reloj .= '	document.write(\' . <span class="reloj_fecha">\' + Mes + \' \' + date + \', \' + year + \'</span>\');';
		
		}

$salida_menu_reloj .= '	document.write(\'</span>\');

</script>
';

	// Smarty
	$smarty->assign("salida_menu_reloj", $salida_menu_reloj);
	

?>